classification
Title: deprecated-removed directive is broken in Sphinx 1.2.2
Type: behavior Stage: resolved
Components: Demos and Tools Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: berker.peksag Nosy List: berker.peksag, ezio.melotti, georg.brandl, python-dev
Priority: normal Keywords: patch

Created on 2014-08-06 04:20 by berker.peksag, last changed 2014-08-22 15:27 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
deprecated-removed.diff berker.peksag, 2014-08-06 04:20
broken-deprecated-removed.png berker.peksag, 2014-08-06 04:21
broken-deprecated-removed-2.png berker.peksag, 2014-08-06 04:22
Messages (8)
msg224902 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-08-06 04:20
The attached patch fixes the problem for me. Tested with Firefox 30.0 and Chrome 35.0.1916.153 on Ubuntu.
msg224904 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-08-06 04:54
Does this fix the extra margin visible in broken-deprecated-removed-2.png?
Is there something in the HTML that causes the extra margin (e.g. an empty <p></p>?  If that is the reason I think fixing the HTML is better.
msg224908 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-08-06 05:02
> Does this fix the extra margin visible in broken-deprecated-removed-2.png?

Yes.

> Is there something in the HTML that causes the extra margin (e.g. an empty <p></p>?

I checked the HTML output first, but it was fine. Here's the HTML output of the deprecate-removed directive without the patch: https://gist.github.com/berkerpeksag/e303f36d69e02f926676
msg224919 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-08-06 09:42
If the HTML output was fine, what is the purpose of the change in pyspecific.py?
msg224927 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-08-06 11:50
Sorry, I forgot to explain that part of the patch. See broken-deprecated-removed.png. The "Deprecated since version 3.5, will be removed in 3.6" paragraph should be in the first line, not in the second line (like the deprecated directive).
msg224958 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-08-06 18:31
LGTM.
msg225676 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-08-22 15:25
New changeset b834b1fa2aab by Berker Peksag in branch '3.4':
Issue #22150: Fix deprecated-removed directive in Sphinx 1.2.
http://hg.python.org/cpython/rev/b834b1fa2aab

New changeset 8f635f77e7e9 by Berker Peksag in branch 'default':
Issue #22150: Fix deprecated-removed directive in Sphinx 1.2.
http://hg.python.org/cpython/rev/8f635f77e7e9
msg225677 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-08-22 15:27
Thank you for your review, Ezio!
History
Date User Action Args
2014-08-22 15:27:29berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg225677

stage: commit review -> resolved
2014-08-22 15:25:11python-devsetnosy: + python-dev
messages: + msg225676
2014-08-07 10:03:44berker.peksagsetassignee: berker.peksag
2014-08-06 18:31:50ezio.melottisetmessages: + msg224958
stage: patch review -> commit review
2014-08-06 11:50:32berker.peksagsetmessages: + msg224927
2014-08-06 09:42:50ezio.melottisetmessages: + msg224919
2014-08-06 05:02:26berker.peksagsetmessages: + msg224908
2014-08-06 04:54:33ezio.melottisetnosy: + ezio.melotti
messages: + msg224904
2014-08-06 04:22:04berker.peksagsetfiles: + broken-deprecated-removed-2.png
2014-08-06 04:21:56berker.peksagsetfiles: + broken-deprecated-removed.png
2014-08-06 04:20:43berker.peksagcreate